diff --git a/CHANGELOG.md b/CHANGELOG.md
index d054950..7bf1206 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -5,6 +5,14 @@ All notable changes to this project will be documented in this file, as of versi
 The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
 and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).
 
+## [2.1.1] - 2022-05-12
+
+- Fix #46: add test for encodeScriptFunctionByResolve call functionId 0x1::TransferScripts::batch_peer_to_peer_v2
+
+## [2.1.0] - 2022-04-26
+
+- fix: empty string should return Uint8Array(1)[0], instead of emptey <Buffer>
+
 ## [2.0.0] - 2022-03-25
 
 - replace @starcoin/stc-ed25519 with @noble/ed25519, because the latest version of @noble/ed25519 already supports BigInt.
diff --git a/package.json b/package.json
index 8e66d32..88321d7 100644
--- a/package.json
+++ b/package.json
@@ -1,6 +1,6 @@
 {
   "name": "@starcoin/starcoin",
-  "version": "2.1.0",
+  "version": "2.1.1",
   "description": "starcoin js sdk",
   "author": "lerencao, wk3368, tarvos21",
   "license": "Apache-2.0",
